Summary:	HQ Munin Plugins
Summary(pl.UTF-8):	Wtyczki HQ dla munina
Name:		munin-plugins-hq
Version:	20250326
Release:	1%{?tld}
License:	Apache 2.0
Group:		Daemons
Source0:	https://github.com/PirxDevs/munin-plugins-hq/archive/refs/tags/%{version}.tar.gz
# Source0-md5:	01643ec4bd2b797b46df5237ced24b10
URL:		https://github.com/PirxDevs/munin-plugins-hq
BuildRequires:	perl-devel
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{name}-cpu = %{version}-%{release}
Requires:	%{name}-iostat = %{version}-%{release}
Requires:	%{name}-loadavg = %{version}-%{release}
Requires:	%{name}-memory = %{version}-%{release}
Requires:	%{name}-netif = %{version}-%{release}
Requires:	%{name}-netstat = %{version}-%{release}
Requires:	%{name}-ps = %{version}-%{release}
Requires:	%{name}-rtt = %{version}-%{release}
Requires:	%{name}-sensors = %{version}-%{release}
Requires:	%{name}-smart = %{version}-%{release}
Requires:	%{name}-snmp-host = %{version}-%{release}
Requires:	%{name}-storage = %{version}-%{release}
Requires:	%{name}-uptime = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This metapackage contains all HQ Munin Plugins available at
https://github.com/PirxDevs/munin-plugins-hq

%description -l pl.UTF-8
Ten metapakiet zawiera wszystkie wtyczki HQ dla munina dostępne pod
adresem https://github.com/PirxDevs/munin-plugins-hq

%package cpu
Summary:	Munin Plugin for CPU monitoring
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania CPU
Group:		Daemons
Requires:	munin-node

%description cpu
This Munin plugin allows monitoring of CPU load on a per-core basis
and provides one summary graph for all cores as well as detailed
graphs for each core.

%description cpu -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować obciążenie procesora per
rdzeń i tworzy wykres zbiorczy dla wszystkich rdzeni oraz dokładne
wykresy dla każego rdzenia z osobna.

%package iostat
Summary:	Munin Plugin for disk I/O monitoring
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania I/O dysków
Group:		Daemons
Requires:	munin-node
Requires:	sysstat

%description iostat
This Munin plugin allows monitoring of disk I/O and provides
read/write statistics for each device.

%description iostat -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować operacje wejścia/wyjścia dla
dysków i tworzy wykresy ze statystykami odczytu i zapisu danych.

%package loadavg
Summary:	Munin Plugin for system load average monitoring
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania obciążenia systemu
Group:		Daemons
Requires:	munin-node

%description loadavg
This Munin plugin allows monitoring of system load average.

%description loadavg -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować średnie obciążenie systemu.

%package memory
Summary:	Munin Plugin for monitoring memory usage
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania użycia pamięci
Group:		Daemons
Requires:	munin-node

%description memory
This Munin plugin allows monitoring of memory and swap usage.

%description memory -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować zużycie pamięci RAM i swap.

%package netif
Summary:	Munin Plugin for monitoring network usage
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania obciążenia sieci
Group:		Daemons
Requires:	munin-node

%description netif
This Munin plugin allows monitoring of network devices and provides
graphs with download/upload, packets and errors statistics for each
network interface.

%description netif -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować obciążenie sieci i tworzy
wykresy ze statystykami wysłanych/odebranych danych, pakietów oraz
błędów dla każdego interfejsu sieciowego.

%package netstat
Summary:	Munin Plugin for monitoring network statistics
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania statystyk sieciowych
Group:		Daemons
Requires:	munin-node
Requires:	net-tools

%description netstat
This Munin plugin allows monitoring of network stats and provides
graphs with number of active connections and ICMP, TCP, UDP
statistics.

%description netstat -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować statysyki sieci i tworzy
wykresy z ilością aktywnych połączeń oraz ze statystykami ICMP, TCP,
UDP.

%package ps
Summary:	Munin Plugin for monitoring number of processes
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania ilości procesów
Group:		Daemons
Requires:	munin-node

%description ps
This Munin plugin allows monitoring of number of processes with given
name.

%description ps -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować ilość procesów o zadanej
nazwie.

%package rtt
Summary:	Munin Plugin for monitoring RTT and packet loss
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania RTT i strat pakietów
Group:		Daemons
Requires:	ping
Requires:	munin-node

%description rtt
This Munin plugin allows monitoring of average round trip time (RTT)
and packet loss between two hosts.

%description rtt -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować średnie czasy opóźnień oraz
straty pakietów między dwoma hostami.

%package sensors
Summary:	Munin Plugin for fan/temperature sensors monitoring
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania czujników wiatraczków i temperatury
Group:		Daemons
Requires:	lm_sensors
Requires:	munin-node

%description sensors
This Munin plugin allows monitoring of fan and temperature sensors
reported by lm_sensors.

%description sensors -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować czujniki wiatraczków i
temperatury obsługiwane przez lm_sensors.

%package smart
Summary:	Munin Plugin for monitoring disk S.M.A.R.T.
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania S.M.A.R.T. dysków
Group:		Daemons
Requires:	munin-node
Requires:	smartmontools

%description smart
This Munin plugin allows monitoring of disk S.M.A.R.T. attributes and
provides graphs with critical S.M.A.R.T. data (reallocated sectors
etc.), disk temperature, power-on time and number of start/stop
cycles.

%description smart -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować atrybuty S.M.A.R.T. dysków i
tworzy wykresy z krtyczynymi danymi S.M.A.R.T. (realokowane sektory
itp.) oraz wykresy z temperaturą, czasem pracy i ilością cykli
startu/zatrzymania.

%package snmp-host
Summary:	Munin Plugin for monitoring host resources via SNMP
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania zasobów system poprzez SNMP
Group:		Daemons
Requires:	munin-node
Requires:	perl-Net-SNMP

%description snmp-host
This Munin plugin allows monitoring of CPU, memory and storage usage,
network utilization and number of running processes via SNMP. It can
be used ie. to monitor Windows host from Linux.

%description snmp-host -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować użycie procesora, pamięci i
zasobów dyskowych, obciążenie interfejsów sieciowych oraz ilość
uruchomionych procesów poprzez SNMP. Możeby użyta np. do monitorowania
systemów Windows z poziomu Linuxa.

%package storage
Summary:	Munin Plugin for monitoring storage usage
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania zajętości zasobów dyskowych
Group:		Daemons
Requires:	munin-node
Suggests:	lvm2

%description storage
This Munin plugin allows monitoring of storage usage and provides
graphs with usage statistics for each mounted filesystem and each LVM
volume group.

%description storage -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować zajętość zasobów dyskowych i
tworzy wykresy dla każdego zamontowanego systemu plików oraz dla
każdej grupy wolumenów LVM.

%package uptime
Summary:	Munin Plugin for monitoring system uptime
Summary(pl.UTF-8):	Wtyczka dla munina do monitorowania uptime systemu
Group:		Daemons
Requires:	munin-node

%description uptime
This Munin plugin allows monitoring of system uptime.

%description uptime -l pl.UTF-8
Ta wtyczka dla munina pozwala monitorować uptime systemu.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/munin/plugins/

for i in plugins/hq_*; do
	install -p $i $RPM_BUILD_ROOT%{_datadir}/munin/plugins/
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%files cpu
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_cpu

%files iostat
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_iostat

%files loadavg
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_loadavg

%files memory
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_memory

%files netif
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_netif

%files netstat
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_netstat

%files ps
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_ps_

%files rtt
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_rtt_

%files sensors
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_sensors

%files smart
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_smart

%files snmp-host
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_snmp_host_

%files storage
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_storage

%files uptime
%defattr(755,root,root,755)
%{_datadir}/munin/plugins/hq_uptime
%changelog
* Wed Mar 26 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/munin-plugins-hq.git;a=log;h=master

* Wed Mar 26 2025 Marcin Krol <hawk@tld-linux.org> a5c394e
- updated to 20250326

* Tue Mar 25 2025 Marcin Krol <hawk@tld-linux.org> b9c3ffb
- updated to 20250325

* Thu Mar 09 2023 Marcin Krol <hawk@tld-linux.org> f65b8a1
- updated to 20230309

* Wed Mar 08 2023 Marcin Krol <hawk@tld-linux.org> d5d53d3
- updated to 20230308

* Sat Aug 27 2022 Marcin Krol <hawk@tld-linux.org> 3cc28c0
- updated to 20220827, updated URLs and license

* Mon Nov 02 2020 Marcin Krol <hawk@tld-linux.org> a910a0c
- updated to 20201102.02

* Mon Nov 02 2020 Marcin Krol <hawk@tld-linux.org> 3513e7a
- updated to 20201102.01

* Thu Mar 21 2019 Marcin Krol <hawk@tld-linux.org> b6f0145
- updated to 20190321.01

* Tue Jan 08 2019 Marcin Krol <hawk@tld-linux.org> 520cdd6
- updated to 20190108.01

* Thu Oct 11 2018 Marcin Krol <hawk@tld-linux.org> 9255e14
- updated to 20181011.01

* Thu Mar 15 2018 Marcin Krol <hawk@tld-linux.org> 4b9a682
- updated R: ping

* Fri Dec 18 2015 Marcin Krol <hawk@tld-linux.org> e37e855
- updated to 20151218.01

* Fri Nov 27 2015 Marcin Krol <hawk@tld-linux.org> 8cb62eb
- fixed deps

* Fri Nov 27 2015 Marcin Krol <hawk@tld-linux.org> 73ba901
- updated to 20151127.01

* Tue Nov 17 2015 Marcin Krol <hawk@tld-linux.org> eca8121
- updated to 20151117.01

* Mon Nov 16 2015 Marcin Krol <hawk@tld-linux.org> 8d8a2a1
- updated to 20151116.01

* Thu Oct 29 2015 Marcin Krol <hawk@tld-linux.org> 649608d
- updated to 20151029.01, added metapackage for all plugins

* Wed Oct 21 2015 Marcin Krol <hawk@tld-linux.org> b1730cc
- updated to 20151021.01, reworked, adapterized

* Mon Oct 19 2015 Marcin Krol <hawk@tld-linux.org> 232e956
- updated to 20151019.01

* Sun Oct 18 2015 Marcin Krol <hawk@tld-linux.org> 3e7bdee
- updated to 20151018.02

